Create Booking

This call creates a new booking based on the property, checkin/checkout dates and personal information provided.
Previously the booking was made in two calls: StartBooking and MakeBooking. We have simplified the process with a single endpoint.

  • Please remember to specify the following parameters in this step:
    • bookingID
  • The following fields are optional (only when Reservation with Token is applicable):
    • isReservationViaToken - boolean
    • reservationToken - string
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The booking object

string | null

The creditcard name (Not required. Required only if applicable)

string | null

The creditcard token (Not required. Required only if applicable)

date-time

The checkin date (in format yyyy-mm-dd)

date-time

The checkout date (in format yyyy-mm-dd)

string | null

The first name of the guest

string | null

The last name of the guest

string | null

The phone number of the guest

string | null

The email of the guest

string | null

The address of the guest

string | null

The zip code of the guest

string | null

The state of the guest

string | null

The city of the guest

string | null

The country of the guest

string
enum
Allowed:
string | null

Additional information to the reservation (optional)

boolean

The result of the booking process (Not needed. It will be returned by the API.)

string | null

Id of the property to be booked

double

The price of the reservation calculated (Not needed. It will be returned by the API.)

string
enum
Allowed:
boolean

If the booking will be made through token, this should be marked as true (Use only when applicable, if requested by Namai)

string | null

The token generated and sent via email (requested through the token reservation API call)

string | null

The name of the Agency (needed when it is a "reservation token")

servicesMandatory
array of objects | null

List of services that is mandatory for the selected property (Not needed. It will be returned by the API.)

servicesMandatory
servicesOptional
array of objects | null

List of optional services to be hired during the booking process (use the Service/List method in API to get the available service objects for the property)

servicesOptional
string | null

Id of the Booking (created through the StartBooking process, with the prefix at the start)

string | null

Instructions about Check In Online

string | null

ID from Guesty(PMS) for a reservation

int32 | null

The number of guests (optional, should be at least 1)

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json